<!DOCTYPE html>
<html ng-app="crudApp">
<head>
  <title>AngularJS CRUD Application</title>
  <style>
    #userList {
      width: 600px;
      margin: auto;
      border: 1px solid #ccc;
      border-radius: 5px;
      padding: 20px;
      margin-top: 20px;
    }

    table {
      width: 100%;
      border-collapse: collapse;
      margin-top: 10px;
    }

    th, td {
      border: 1px solid #ddd;
      padding: 8px;
      text-align: left;
    }

    button {
      background-color: #dc3545;
      color: #fff;
      border: none;
      padding: 5px 10px;
      border-radius: 3px;
      cursor: pointer;
    }
  </style>
  <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.8.2/angular.min.js"></script>
</head>
<body>

<div ng-controller="crudCtrl" id="userList">
  <h2>Users List</h2>

  <form ng-submit="addUser()">
    <label for="userName">Name:</label>
    <input type="text" id="userName" ng-model="newUser.name" required>

    <label for="userEmail">Email:</label>
    <input type="email" id="userEmail" ng-model="newUser.email" required>

    <button type="submit">Add User</button>
  </form>

  <table ng-show="users.length > 0">
    <tr>
      <th>Name</th>
      <th>Email</th>
      <th>Actions</th>
    </tr>
    <tr ng-repeat="user in users">
      <td>{{ user.name }}</td>
      <td>{{ user.email }}</td>
      <td>
        <button ng-click="editUser(user)">Edit</button>
        <button ng-click="deleteUser(user)">Delete</button>
      </td>
    </tr>
  </table>
</div>

<script>
  var app = angular.module('crudApp', []);

  app.controller('crudCtrl', function ($scope) {
    $scope.users = [
      { name: 'Shiv Kumar', email: 'shiv@company.com' },
      { name: 'Iqbal Khan', email: 'shiv@company.com' }
    ];

    $scope.newUser = {};

    $scope.addUser = function () {
      if ($scope.newUser.name && $scope.newUser.email) {
        $scope.users.push(angular.copy($scope.newUser));
        $scope.newUser = {};
      }
    };

    $scope.editUser = function (user) {
      var editedName = prompt("Edit user's name:", user.name);
      var editedEmail = prompt("Edit user's email:", user.email);

      if (editedName !== null && editedEmail !== null) {
        user.name = editedName;
        user.email = editedEmail;
      }
    };

    $scope.deleteUser = function (user) {
      var confirmDelete = confirm("Are you sure you want to delete this user?");
      if (confirmDelete) {
        var index = $scope.users.indexOf(user);
        $scope.users.splice(index, 1);
      }
    };
  });
</script>

</body>
</html>
